Search for query

  1. Search 7.x for query
  2. Search 9.5.x for query
  3. Search 8.9.x for query
  4. Search 10.3.x for query
  5. Search 11.x for query
  6. Other projects

Exact matches

These are exact matches according to your search
Title Object type File name Summary
Query class core/modules/workspaces/src/EntityQuery/Query.php Alters entity queries to use a workspace revision instead of the default one.
Query class core/lib/Drupal/Core/Config/Entity/Query/Query.php Defines the entity query for configuration entities.
Query class core/lib/Drupal/Core/Database/Query/Query.php Base class for query builders.
Query class core/lib/Drupal/Core/Entity/Query/Sql/Query.php The SQL storage entity query class.
Query class core/lib/Drupal/Core/Entity/Query/Null/Query.php Defines the entity query for configuration entities.
Query class core/lib/Drupal/Core/Entity/KeyValueStore/Query/Query.php Defines the entity query for entities stored in a key value backend.

All search results

Title Object type File name Summary
SqlQueryTest::$testViews property core/modules/views/tests/src/Kernel/Plugin/SqlQueryTest.php Views used by this test.
SqlQueryTest::testExecuteMetadata function core/modules/views/tests/src/Kernel/Plugin/SqlQueryTest.php Tests adding some metadata/tags to the views query.
SqlQueryTest::testGetConnection function core/modules/views/tests/src/Kernel/Plugin/SqlQueryTest.php Tests the method \Drupal\views\Plugin\views\query\Sql::getConnection().
SqlQueryTest::viewsData function core/modules/views/tests/src/Kernel/Plugin/SqlQueryTest.php
StatementBase::getQueryString function core/lib/Drupal/Core/Database/Statement/StatementBase.php
StatementInterface::getQueryString function core/lib/Drupal/Core/Database/StatementInterface.php Gets the query string of this statement.
StatisticsLastCommentName::query function core/modules/comment/src/Plugin/views/sort/StatisticsLastCommentName.php
StatisticsLastCommentName::query function core/modules/comment/src/Plugin/views/field/StatisticsLastCommentName.php
StatisticsLastUpdated::query function core/modules/comment/src/Plugin/views/sort/StatisticsLastUpdated.php
StatisticsLastUpdated::query function core/modules/comment/src/Plugin/views/field/StatisticsLastUpdated.php
StatisticsLastUpdated::query function core/modules/comment/src/Plugin/views/filter/StatisticsLastUpdated.php
Status::query function core/modules/media/src/Plugin/views/filter/Status.php Add this filter to the query.
Status::query function core/modules/node/src/Plugin/views/filter/Status.php
StringArgument::query function core/modules/views/src/Plugin/views/argument/StringArgument.php Build the query based upon the formula.
StringArgument::summaryQuery function core/modules/views/src/Plugin/views/argument/StringArgument.php Build the summary query based on a string.
StringArgument::titleQuery function core/modules/views/src/Plugin/views/argument/StringArgument.php Override for specific title lookups.
StringFilter::query function core/modules/views/src/Plugin/views/filter/StringFilter.php Add this filter to the query.
StubConnection::queryRange function core/tests/Drupal/Tests/Core/Database/Stub/StubConnection.php
StubEntityStorageBase::getQueryServiceName function core/tests/Drupal/Tests/Core/Entity/StubEntityStorageBase.php
StylePluginBase::query function core/modules/views/src/Plugin/views/style/StylePluginBase.php
Subquery class core/modules/views/src/Plugin/views/join/Subquery.php Join handler for relationships that join with a subquery as the left field.
Subquery.php file core/modules/views/src/Plugin/views/join/Subquery.php
Subquery::$left_query property core/modules/views/src/Plugin/views/join/Subquery.php The left join query.
Subquery::buildJoin function core/modules/views/src/Plugin/views/join/Subquery.php Builds the SQL for the join this object represents.
Subquery::__construct function core/modules/views/src/Plugin/views/join/Subquery.php Constructs a Subquery object.
SupportsTemporaryTablesInterface::queryTemporary function core/lib/Drupal/Core/Database/SupportsTemporaryTablesInterface.php Runs a SELECT query and stores its results in a temporary table.
SystemHooks::queryEntityReferenceAlter function core/modules/system/src/Hook/SystemHooks.php Implements hook_query_TAG_alter() for entity reference selection handlers.
Tables::$sqlQuery property core/lib/Drupal/Core/Entity/Query/Sql/Tables.php
TableSort::getQueryParameters function core/lib/Drupal/Core/Utility/TableSort.php Composes a URL query parameter array for table sorting links.
Tasks::runTestQuery function core/lib/Drupal/Core/Database/Install/Tasks.php Ensures the database can execute commands with the current user.
TaxonomyIndexDepthQueryTrait trait core/modules/taxonomy/src/TaxonomyIndexDepthQueryTrait.php Builds a performant depth subquery and adds it as a join to the query.
TaxonomyIndexDepthQueryTrait.php file core/modules/taxonomy/src/TaxonomyIndexDepthQueryTrait.php
TaxonomyIndexDepthQueryTrait::addSubQueryJoin function core/modules/taxonomy/src/TaxonomyIndexDepthQueryTrait.php Builds a performant depth subquery and adds it as a join to the query.
TaxonomyIndexTid::query function core/modules/taxonomy/src/Plugin/views/field/TaxonomyIndexTid.php Add this term to the query.
TaxonomyIndexTidDepth::query function core/modules/taxonomy/src/Plugin/views/filter/TaxonomyIndexTidDepth.php
TaxonomyQueryAlterTest class core/modules/taxonomy/tests/src/Kernel/TaxonomyQueryAlterTest.php Tests that appropriate query tags are added.
TaxonomyQueryAlterTest.php file core/modules/taxonomy/tests/src/Kernel/TaxonomyQueryAlterTest.php
TaxonomyQueryAlterTest::$modules property core/modules/taxonomy/tests/src/Kernel/TaxonomyQueryAlterTest.php
TaxonomyQueryAlterTest::assertQueryTagTestResult function core/modules/taxonomy/tests/src/Kernel/TaxonomyQueryAlterTest.php Verifies invocation of the hooks in the test module.
TaxonomyQueryAlterTest::setupQueryTagTestHooks function core/modules/taxonomy/tests/src/Kernel/TaxonomyQueryAlterTest.php Sets up the hooks in the test module.
TaxonomyQueryAlterTest::testTaxonomyQueryAlter function core/modules/taxonomy/tests/src/Kernel/TaxonomyQueryAlterTest.php Tests that appropriate tags are added when querying the database.
TaxonomyTestHooks::queryAlter function core/modules/taxonomy/tests/modules/taxonomy_test/src/Hook/TaxonomyTestHooks.php Implements hook_query_alter().
TaxonomyTestHooks::queryTaxonomyTermAccessAlter function core/modules/taxonomy/tests/modules/taxonomy_test/src/Hook/TaxonomyTestHooks.php Implements hook_query_TAG_alter().
TaxonomyTestHooks::queryTermAccessAlter function core/modules/taxonomy/tests/modules/taxonomy_test/src/Hook/TaxonomyTestHooks.php Implements hook_query_TAG_alter().
TemporaryQueryGuard class core/modules/jsonapi/src/Access/TemporaryQueryGuard.php Adds sufficient access control to collection queries.
TemporaryQueryGuard.php file core/modules/jsonapi/src/Access/TemporaryQueryGuard.php
TemporaryQueryGuard::$fieldManager property core/modules/jsonapi/src/Access/TemporaryQueryGuard.php The entity field manager.
TemporaryQueryGuard::$moduleHandler property core/modules/jsonapi/src/Access/TemporaryQueryGuard.php The module handler.
TemporaryQueryGuard::addConditionFieldPrefix function core/modules/jsonapi/src/Access/TemporaryQueryGuard.php Prefixes all fields in an EntityConditionGroup.
TemporaryQueryGuard::alwaysFalse function core/modules/jsonapi/src/Access/TemporaryQueryGuard.php Gets an always FALSE entity condition group for the given entity type.

Buggy or inaccurate documentation? Please file an issue. Need support? Need help programming? Connect with the Drupal community.